Package org.eclipse.m2m.atl.dsls

# Class DSLResourceProvider

java.lang.Object
org.eclipse.m2m.atl.dsls.DSLResourceProvider

public class DSLResourceProvider extends Object
The DSL resource provider.

## Constructor Summary

Constructors
Constructor
Description
`DSLResourceProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected org.osgi.framework.Bundle`
`getBundle()`
Returns the bundle.
`static DSLResourceProvider`
`getDefault()`
Returns the default DSL provider.
`protected String`
`getPluginId()`
Returns the plugin Id.
`Resource`
`getResource(String id)`
Returns the resource by id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSLResourceProvider

public DSLResourceProvider()

## Method Details

### getDefault

public static DSLResourceProvider getDefault()
Returns the default DSL provider.

Returns:
  the default DSL provider

### getResource

public Resource getResource(String id)
Returns the resource by id.

Parameters:
  `id` - the resource Id
Returns:
  the resource by id

### getBundle

protected org.osgi.framework.Bundle getBundle()
Returns the bundle. Must be redefined in sub-classes.

Returns:
  the bundle

### getPluginId

protected String getPluginId()
Returns the plugin Id. Must be redefined in sub-classes.

Returns:
  the plugin Id